com.fasterxml.jackson.databind.ser.std

## Class AtomicReferenceSerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.std.ReferenceTypeSerializer<AtomicReference<?>>
      - - com.fasterxml.jackson.databind.ser.std.AtomicReferenceSerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, ContextualSerializer, Serializable

      public class AtomicReferenceSerializer
      extends ReferenceTypeSerializer<AtomicReference<?>>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.ReferenceTypeSerializer

      `_dynamicSerializers, _property, _referredType, _suppressableValue, _suppressNulls, _unwrapper, _valueSerializer, _valueTypeSerializer, MARKER_FOR_EMPTY`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AtomicReferenceSerializer(AtomicReferenceSerializer base, BeanProperty property, TypeSerializer vts, JsonSerializer<?> valueSer, NameTransformer unwrapper, Object suppressableValue, boolean suppressNulls)`
    `` | `AtomicReferenceSerializer(ReferenceType fullType, boolean staticTyping, TypeSerializer vts, JsonSerializer<Object> ser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `_getReferenced(AtomicReference<?> value)`
    `protected Object` | `_getReferencedIfPresent(AtomicReference<?> value)`
    `protected boolean` | `_isValuePresent(AtomicReference<?> value)` Method called to see if there is a value present or not.
    `ReferenceTypeSerializer<AtomicReference<?>>` | `withContentInclusion(Object suppressableValue, boolean suppressNulls)` Mutant factory method called to create a differently constructed instance, specifically with different exclusion rules for contained value.
    `protected ReferenceTypeSerializer<AtomicReference<?>>` | `withResolved(BeanProperty prop, TypeSerializer vts, JsonSerializer<?> valueSer, NameTransformer unwrapper)` Mutant factory method called when changes are needed; should construct newly configured instance with new values as indicated.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.ReferenceTypeSerializer

      `_useStatic, acceptJsonFormatVisitor, createContextual, getReferredType, isEmpty, isUnwrappingSerializer, serialize, serializeWithType, unwrappingSerializer`

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, properties, replaceDelegatee, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AtomicReferenceSerializer

          public AtomicReferenceSerializer(ReferenceType fullType,
                                           boolean staticTyping,
                                           TypeSerializer vts,
                                           JsonSerializer<Object> ser)

    - #### AtomicReferenceSerializer

          protected AtomicReferenceSerializer(AtomicReferenceSerializer base,
                                              BeanProperty property,
                                              TypeSerializer vts,
                                              JsonSerializer<?> valueSer,
                                              NameTransformer unwrapper,
                                              Object suppressableValue,
                                              boolean suppressNulls)

  - ### Method Detail

    - #### withResolved

          protected ReferenceTypeSerializer<AtomicReference<?>> withResolved(BeanProperty prop,
                                                                             TypeSerializer vts,
                                                                             JsonSerializer<?> valueSer,
                                                                             NameTransformer unwrapper)

      Description copied from class: `ReferenceTypeSerializer`
      Mutant factory method called when changes are needed; should construct newly configured instance with new values as indicated.

      NOTE: caller has verified that there are changes, so implementations need NOT check if a new instance is needed.

      Specified by:
        `withResolved` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### withContentInclusion

          public ReferenceTypeSerializer<AtomicReference<?>> withContentInclusion(Object suppressableValue,
                                                                                  boolean suppressNulls)

      Description copied from class: `ReferenceTypeSerializer`
      Mutant factory method called to create a differently constructed instance, specifically with different exclusion rules for contained value.

      NOTE: caller has verified that there are changes, so implementations need NOT check if a new instance is needed.

      Specified by:
        `withContentInclusion` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### _isValuePresent

          protected boolean _isValuePresent(AtomicReference<?> value)

      Description copied from class: `ReferenceTypeSerializer`
      Method called to see if there is a value present or not. Note that value itself may still be `null`, even if present, if referential type allows three states (absent, present-null, present-non-null); some only allow two (absent, present-non-null).
      Specified by:
        `_isValuePresent` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### _getReferenced

          protected Object _getReferenced(AtomicReference<?> value)

      Specified by:
        `_getReferenced` in class `ReferenceTypeSerializer<AtomicReference<?>>`

    - #### _getReferencedIfPresent

          protected Object _getReferencedIfPresent(AtomicReference<?> value)

      Specified by:
        `_getReferencedIfPresent` in class `ReferenceTypeSerializer<AtomicReference<?>>`

Copyright © 2008–2020 FasterXML. All rights reserved.